/**
 * Configure accounts-ui.
 */
Accounts.ui.config({
  passwordSignupFields: "USERNAME_ONLY"
});

// Routing.
Router.configure({
  layoutTemplate: "layout"
});

Router.route("/", function () {
  this.render("page_home", { to: "contents" });
});

Router.route("/site/:id", function () {
  console.log(this.parms);
  const id = this.params.id;
  const doc = _.extend({ onPage: true }, Websites.findOne({ _id: id }));
  this.render("page_site", {
    to: "contents",
    data: function () {
      return doc;
    }
  });
  this.render("comments", {
    to: "comments"
  });
});
